from entity import Entity
from ai import BaseAI, AggressiveWhenSeen
from stats import Stats
from inventory import Inventory

player = Entity(
	char = "@",
	color = (255, 255, 255),
	name = "Player",
	walkable = False,
	ai_class = BaseAI, #TODO: remove this or dummy it out
	stats = Stats(hp = 10, attack = 2, defense = 1),
    inventory=Inventory(),
)

#gobbos
gobbo = Entity(
	char = "g",
	color = (30, 168, 41),
	name = "Gobbo",
	walkable = False,
	ai_class  = AggressiveWhenSeen,
	stats = Stats(hp = 5, attack = 1, defense = 0),
)

gobbo_red = Entity(
	char = "g",
	color = (168, 41, 30),
	name = "Red Gobbo",
	walkable = False,
	ai_class  = AggressiveWhenSeen,
	stats = Stats(hp = 5, attack = 2, defense = 5),
)
